LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPrintableListener Interface Referencepublished

receives events about print job progress. More...

`import"XPrintableListener.idl";`

Inheritance diagram for XPrintableListener:

## Public Member Functions
void | stateChanged ([in] PrintableStateEvent Event)
| informs the user of the new state in print progress. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events about print job progress.

XPrintableListener can be registered to XPrintableBroadcaster. Then, the client object will receive events about print progress.

See also
  XPrintableBroadcaster

## Member Function Documentation

## ◆ stateChanged()

void stateChanged | ( | [in] PrintableStateEvent | Event | ) |

informs the user of the new state in print progress.

Parameters

  Event | contains the XPrintable having changed state and the new state.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintableListener.idl